﻿
.funkyradio label {
    width: 100%;
    border: 1px solid #D1D3D4;
    font-weight: normal;
}

.funkyradio input[type="radio"]:empty, .funkyradio input[type="checkbox"]:empty {
    display: none;
}

    .funkyradio input[type="radio"]:empty ~ label, .funkyradio input[type="checkbox"]:empty ~ label {
        position: relative;
        line-height: 2.5em;
        text-indent: 3.25em;
        cursor: pointer;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        max-height: 45px;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        padding-right: 5px;
        margin-bottom: 5px;
        -webkit-transition: all .36s ease;
        -moz-transition: all .36s ease;
        -o-transition: all .36s ease;
        transition: all .36s ease;
        border-radius: 6px 0 0 6px;
    }

        .funkyradio input[type="radio"]:empty ~ label:before, .funkyradio input[type="checkbox"]:empty ~ label:before {
            position: absolute;
            display: block;
            top: 0;
            bottom: 0;
            left: 0;
            content: '';
            width: 2.5em;
            background: #d1d1c9;
            border-radius: 3px 0 0 3px;
            font-family: FontAwesome;
        }

.funkyradio input[type="radio"]:hover:not(:checked) ~ label:before, .funkyradio input[type="checkbox"]:hover:not(:checked) ~ label:before {
    content: '\f00c';
    text-indent: .9em;
    color: #C2C2C2;
}

.funkyradio input[type="radio"]:hover:not(:checked) ~ label, .funkyradio input[type="checkbox"]:hover:not(:checked) ~ label {
    color: #4f575c;
}

.funkyradio input[type="radio"]:checked ~ label:before, .funkyradio input[type="checkbox"]:checked ~ label:before {
    content: '\f00c';
    text-indent: .9em;
    color: #333;
    background-color: #ccc;
}

.funkyradio input[type="radio"]:focus ~ label:before, .funkyradio input[type="checkbox"]:focus ~ label:before {
    box-shadow: 0 0 0 3px #999;
}

.funkyradio-default input[type="radio"]:checked ~ label:before, .funkyradio-default input[type="checkbox"]:checked ~ label:before {
    color: #333;
    background-color: #ccc;
}

.funkyradio-primary input[type="radio"]:checked ~ label:before, .funkyradio-primary input[type="checkbox"]:checked ~ label:before {
    color: #fff;
    background-color: #337ab7;
}

.funkyradio-success input[type="radio"]:checked ~ label:before, .funkyradio-success input[type="checkbox"]:checked ~ label:before {
    color: #fff;
    background-color: #5cb85c;
}

.funkyradio-danger input[type="radio"]:checked ~ label:before,
.funkyradio-danger input[type="checkbox"]:checked ~ label:before {
    color: #fff;
    background-color: #d9534f;
    content: '\f00d';
}

.funkyradio .funkyradio-danger input[type="radio"]:hover:not(:checked) ~ label:before,
.funkyradio .funkyradio-danger input[type="checkbox"]:hover:not(:checked) ~ label:before {
    content: '\f00d';
}

.funkyradio-warning input[type="radio"]:checked ~ label:before,
.funkyradio-warning input[type="checkbox"]:checked ~ label:before {
    color: #fff;
    background-color: #f0ad4e;
    content: '\f056';
}

.funkyradio .funkyradio-warning input[type="radio"]:hover:not(:checked) ~ label:before,
.funkyradio .funkyradio-warning input[type="checkbox"]:hover:not(:checked) ~ label:before {
    content: '\f056';
}

.other_comments {
    border-top: 0;
    margin-top: -30px;
    color: #337ab7;
}

.br-theme-bootstrap-stars .br-widget a {
    font-size: 32px;
}

.imageG {
    height: 100px;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center center;
    margin-bottom: 5px;
}

.imagegrid.row {
    text-align: center;
    width: 100%;
    margin: 0 auto;
}

    .imagegrid.row button {
        width: 100%;
    }

.imagegholder.col-xs-12.col-md-6,
.imagegholder.col-xs-12.col-md-4 {
    cursor: pointer;
    padding: 5px;
}

.imagegholder.selected {
    opacity: 1;
}

.imagegholder.unselected {
    opacity: 0.5;
}

.well.img-radio.imageG {
    background-color: #FFF;
    border-radius: 0;
}

.br-theme-bootstrap-stars .br-widget a:after {
    display: inline-block;
}

div.questionHolder .br-theme-bootstrap-stars .br-widget a {
    font: normal normal normal 45px/1 'Glyphicons Halflings';
}

.br-theme-bootstrap-stars .br-widget {
    height: auto;
    padding: 10px 0;
}

span.ratingKey {
    display: block;
}

.barrating {
    text-align: center;
}

.br-wrapper.br-theme-image-stars .br-widget a.br-active,
.br-theme-custom-image .br-widget a.br-selected,
.br-wrapper.br-theme-custom-image .br-widget a.br-active,
.br-theme-custom-image .br-widget a.br-selected {
    opacity: 1;
}

.br-theme-image-stars.rating_size_5 .br-widget a,
.br-theme-custom-image.rating_size_5 .br-widget a {
    width: calc(100% / 5);
}

.br-theme-image-stars.rating_size_10 .br-widget a,
.br-theme-custom-image.rating_size_10 .br-widget a {
    width: calc(100% / 10);
}

.br-theme-image-stars .br-widget a,
.br-theme-custom-image .br-widget a {
    height: 50px;
    max-width: 50px;
    margin: 10px 0;
    display: inline-block;
    opacity: 0.4;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

.br-theme-custom-image .br-widget a {
    background-image: url('/images/default-custom-icon.png');
}

.br-theme-image-stars .br-widget a {
    background-image: url('/images/filled-star.png');
}


    @media all and (max-width: 560px) {
        div.questionHolder .br-theme-bootstrap-stars.rating_size_10 .br-widget a {
            font: normal normal normal 28px/1 'Glyphicons Halflings';
        }

        .br-theme-image-stars.rating_size_10 .br-widget a,
        .br-theme-custom-image.rating_size_10 .br-widget a {
            background-size: 90%;
        }
    }

    @media all and (max-width: 320px) {
        div.questionHolder .br-theme-bootstrap-stars.rating_size_10 .br-widget a {
            font: normal normal normal 22px/1 'Glyphicons Halflings';
        }

        .br-theme-image-stars.rating_size_10 .br-widget a,
        .br-theme-custom-image.rating_size_10 .br-widget a {
            margin: 10px 2px;
            width: calc(80% / 10);
        }
    }

.br-theme-bars-square .br-widget a {
    text-decoration: none;
    transition: all .36s ease;
    border: 1px solid #D1D3D4;
    display: inline-block;
    max-width: 75px;
    margin: 15px 1px;
    color: #000;
    text-align: center;
    height: 30px;
    line-height:30px;
}

.br-theme-bars-square.rating_size_10 .br-widget a {
    width: calc(90% / 10);
}

.br-theme-bars-square.rating_size_5 .br-widget a {
    width: calc(90% / 5);
}

.br-theme-bars-square .br-widget a.br-active:hover,
.br-theme-bars-square .br-widget .br-current {
    border: 1px solid #5cb85c;
    background-color: #5cb85c;
    color: #FFF;
    text-decoration: underline;
}

div.datetimepicker {
    padding: 10px;
    border-radius: 0;
    max-width: 350px;
    -webkit-animation-duration: .6s;
    animation-duration: .6s;
}

    div.datetimepicker td,
    div.datetimepicker th {
        border-radius: 0;
    }

.datetimepicker table {
    width: 100%;
}

div.datetimepicker .table-condensed > tbody > tr > td,
div.datetimepicker .table-condensed > tbody > tr > th,
div.datetimepicker .table-condensed > tfoot > tr > td,
div.datetimepicker .table-condensed > tfoot > tr > th,
div.datetimepicker .table-condensed > thead > tr > td,
div.datetimepicker .table-condensed > thead > tr > th {
    padding: 8px;
}

div.datetimepicker .datetimepicker-minutes span,
div.datetimepicker .datetimepicker-hours span {
    padding: 8px;
    line-height: normal;
    height: auto;
    border-radius: 0;
}

div.datetimepicker table tr td.today.active:before {
    border-bottom-color: #FFF;
}

div.datetimepicker table tr td.today {
    position: relative;
    background: none;
}

    div.datetimepicker table tr td.today:hover:hover,
    div.datetimepicker table tr td.today:hover {
        background-image: none;
        background-color: #eee;
        color: #000;
    }

    div.datetimepicker table tr td.today:before {
        content: '';
        display: inline-block;
        border: solid transparent;
        border-width: 0 0 7px 7px;
        border-bottom-color: #337ab7;
        border-top-color: #000000;
        border-top-color: rgba(0, 0, 0, 0.2);
        position: absolute;
        bottom: 4px;
        right: 4px;
    }

div.datetimepicker table tr td.today:hover:before {
    border-bottom-color: #000;
}

div.datetimepicker table tr td span {
    border-radius: 0;
}


    div.datetimepicker table tr td span.disabled,
    div.datetimepicker table tr td span.disabled:hover,
    div.datetimepicker table tr td.disabled,
    div.datetimepicker table tr td.disabled:hover {
        cursor: no-drop;
        color: #eee;
    }

div.datetimepicker-days th.dow {
    border-bottom: 1px solid #eee;
}

div.datetimepicker-months tbody,
div.datetimepicker-minutes tbody,
div.datetimepicker-hours tbody {
    border-top: 1px solid #eee;
}

.datetimepicker table tr td.active:active, .datetimepicker table tr td.active:hover:active, .datetimepicker table tr td.active.disabled:active, .datetimepicker table tr td.active.disabled:hover:active, .datetimepicker table tr td.active.active, .datetimepicker table tr td.active:hover.active, .datetimepicker table tr td.active.disabled.active, .datetimepicker table tr td.active.disabled:hover.active,
.datetimepicker table tr td span.active:active, .datetimepicker table tr td span.active:hover:active, .datetimepicker table tr td span.active.disabled:active, .datetimepicker table tr td span.active.disabled:hover:active, .datetimepicker table tr td span.active.active, .datetimepicker table tr td span.active:hover.active, .datetimepicker table tr td span.active.disabled.active, .datetimepicker table tr td span.active.disabled:hover.active {
    background-color: #337ab7;
    background-image: none;
}

.imageUploader {
    margin: 25px 0 0;
}

.imageUploader input.uploadFile {
    width: 0;
    height: 0;
    overflow: hidden;
}

.imageUploader .imagePreview {
    width: 100%;
    height: 180px;
    background-position: center center;
    background-color: #eee;
    background-size: contain;
    background-repeat: no-repeat;
    display: inline-block;
    display: flex;
    align-items: center;
    justify-content: center;
    outline: 1px solid #CCC;
    outline-offset: 2px;
}

.imageUploader .btn-primary {
    display: block;
    margin-top: -5px;
}

.imageUploader .imgUp {
    margin-bottom: 30px;
}

.imageUploader .upload-icon {
    position: absolute;
    right: 30px;
    width: 30px;
    height: 30px;
}

.imageUploader .del {
    position: absolute;
    top: 0;
    right: 15px;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 30px;
    cursor: pointer;
    color: #FFF;
    background-color: #000000;
    background-color: rgba(0,0,0,0.6);
}

.row.imageRow {
    margin-top: 25px;
}

.imageUploader .row.imageRow .imgUp:last-of-type {
    margin-bottom: 0;
}

@media (min-width: 768px) {
    .imgUp:nth-child(3n + 1):nth-last-child(-n + 3),
    .imgUp:nth-child(3n + 1):nth-last-child(-n + 3) ~ .imgUp {
        margin-bottom: 0;
    }
}


.imagegholder .well.img-radio.imageG:after {
    content: '\f059';
    color: #333;
    font-family: FontAwesome;
    font-size: 40pt;
}

div.word-counter {
    background-color: #f5f5f5;
    margin: 20px 0;
}


    div.word-counter.word-limit-danger {
        background-color: #f2dede;
    }

    div.word-counter.word-limit-warning {
        background-color: #fcf8e3;
    }

div.word-counter.word-limit-success {
    background-color: #dff0d8;
}

div.imagePreview {
    height: 80px;
    margin: 10px 0;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
}

div.imageBox {
    background-repeat: no-repeat;
    background-size: contain;
    background-origin: content-box;
    padding: 10px;
}
